Subject: Re: [PATCH v2 07/12] t4013: call git-merge instead of git-pull

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 May 2015 10:17:42 -0700

Johannes Schindelin <[email-masked]> writes:

> Both this patch and 9/12 change `git pull` invocations to equivalent
> non-pull ones, but I wonder whether it would not be a better idea to
> leave them as-are, so that we can make sure that scripts out there
> that might use similar `git pull` invocations would be unaffected by
> the rewrite?

Yes.  I do not mind changing t4013 that is not about testing 'git pull'
to lose 'git pull . other-branch', but then we would want to have a
corresponding test somewhere in the test script that is about
testing 'git pull' to cover that (ancient) pattern of use.

Thanks.